[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Created] (FLINK-9700) Document FlinkKafkaProducer behaviour for Kafka versions > 0.11


Ufuk Celebi created FLINK-9700:
----------------------------------

             Summary: Document FlinkKafkaProducer behaviour for Kafka versions > 0.11
                 Key: FLINK-9700
                 URL: https://issues.apache.org/jira/browse/FLINK-9700
             Project: Flink
          Issue Type: Improvement
          Components: Kafka Connector
    Affects Versions: 1.5.0
            Reporter: Ufuk Celebi


FlinkKafkaProducer for Kafka 0.11 uses reflection to work around API limitations of the Kafka client. Using reflection breaks with newer versions of the Kafka client (due to internal changes of the client).

The documentation does not mention newer Kafka versions. We should add the following notes:
- Only package Kafka connector with kafka.version property set to 0.11.*.*
- Mention that it is possible to use the 0.11 connector with newer versions of Kafka as the protocol seems to be backwards compatible (double check that this is correct)




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)